import type { ISourceOptions } from "tsparticles-engine";

const particle_color = "#2E332E";

export const options: ISourceOptions = {
  autoPlay: true,
  background: {
    color: "#121412",
  },
  particles: {
    number: {
      value: 10,
      density: {
        enable: true,
        area: 100,
      },
    },
    links: {
      distance: 150,
      enable: true,
      color: particle_color,
    },
    move: {
      enable: true,
      speed: 0.2,
    },
    size: {
      value: 2,
    },
    shape: {
      type: "circle",
    },
    color: {
      value: particle_color,
    },
    opacity: {
      value: 1,
    }
  },
  interactivity: {
    events: {
      onHover: {
        enable: true,
        parallax: {
          enable: true,
          force: 20,
          smooth: 150,
        },
      },
    },
  },
  fullScreen: {
    enable: false,
  },
};
